CalendarInviteBlocker = LibStub("AceAddon-3.0"):NewAddon("CalendarInviteBlocker", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")



function CalendarInviteBlocker:CALENDAR_NEW_EVENT()
	print("New event found") 
	for m=0,12 do 
		for d=1,31 do 
			for i=1,CalendarGetNumDayEvents(m, d)  do
				title, _ , _ , calendarType, _, eventType, _, _, inviteStatus, invitedBy =CalendarGetDayEvent(m,d,i)  
			
				if calendarType == "PLAYER" then
					print("New event from guild?".. UnitIsInMyGuild(invitedBy) .. "aa")
					

					
					if not UnitIsInMyGuild(invitedBy) then
						--Player Event not from a Guild Member
						self:CheckEvent({m,d,i,invitedBy,2})
						--self:ScheduleTimer(function()  CalendarContextEventRemove(m,d,i) end, 6)

					end
				end
			end
		end 
	end
end

function CalendarInviteBlocker:CheckEvent (args)
	m,d,i,invitedBy,timers = unpack(args)
	--print ("check " ..m..d..i..invitedBy)
	if invitedBy == "" then
		CalendarContextInviteRemove(m,d,i)
		CalendarContextEventComplain(m,d,i)
		print ("Gold Seller Event removed and Complaint sent.")
		return true
	end
	if timers > 0 then
		print ("timer started")
		self:ScheduleTimer("CheckEvent", 2, {m,d,i,invitedBy,timers-1})
	end
end


function CalendarInviteBlocker:PrintAllEvents() 

	for i=0,12 do 
		for y=1,31 do 
			title, _ , _ , calendarType, sequenceType, eventType, texture, modStatus, inviteStatus, invitedBy =CalendarGetDayEvent(i,y,1)  
			if calendarType == "PLAYER"  then
				print ("Event ("..title..") calendarType: " .. calendarType .. " invitedBy " .. invitedBy)
			end
		end
	end

end



function CalendarInviteBlocker:OnInitialize()
    -- Called when the addon is loaded
end


function CalendarInviteBlocker:OnEnable()
    self:RegisterEvent("CALENDAR_NEW_EVENT")
	--self:PrintAllEvents()
end

function CalendarInviteBlocker:OnDisable()
    -- Called when the addon is disabled
end
